<?php
/*
 * The Template for displaying all posts
 * 
 */
 $anondho_redux_demo = get_option('redux_demo');
get_header(); ?>

        <?php if(isset($anondho_redux_demo['blog_image']['url']) && $anondho_redux_demo['blog_image']['url'] != ''){?>  
            <div class="breadcrumb-area breadcrumb-bg pt-260 pb-265" style="background-image:url(<?php echo esc_url($anondho_redux_demo['blog_image']['url']);?>)">
            <?php }else{?>
            <div class="breadcrumb-area breadcrumb-bg pt-260 pb-265" style="background-image:url(<?php echo (get_template_directory_uri().'/assets/img/bg/page-title-bg.jpg');?>)">
            <?php } ?>
                <div class="container">
                    <div class="row">
                        <div class="col-xl-12">
                            <div class="breadcrumb-text text-center">
                                <h1><?php
                                /*
                                 * Queue the first post, that way we know what author
                                 * we're dealing with (if that is the case).
                                 *
                                 * We reset this later so we can run the loop properly
                                 * with a call to rewind_posts().
                                 */
                                the_post();

                                printf( esc_html__( 'All posts by %s', 'anondho' ), get_the_author() );
                                ?></h1> 
                            </div>
                        </div>
                    </div>
                </div>
            </div>

            <!-- blog-area start -->
            <section class="blog-area pt-120 pb-80">
                <div class="container">
                    <div class="row">
                        <div class="col-lg-8">
                            <?php 
                                while (have_posts()): the_post();
                                $single_audio = get_post_meta(get_the_ID(),'_cmb_single_audio', true);
                                $single_video = get_post_meta(get_the_ID(),'_cmb_single_video', true);
                            ?>  
                            <?php if ( has_post_format('video') ) { ?>
                                <article class="postbox post format-video mb-40">
                                    <div class="postbox__video">
                                        <img src="<?php echo wp_get_attachment_url(get_post_thumbnail_id());?>" alt="blog image">
                                        <a class="popup-video video-btn" href="<?php echo esc_url($single_video);?>"><i
                                                class="fas fa-play"></i></a>
                                    </div>
                            <?php } elseif ( has_post_format('gallery') ) { ?>
                                <article class="postbox post format-gallery mb-40">
                                    <div class="postbox__gallery">
                                        <?php $gallery = get_post_gallery( get_the_ID(), false );

                                        if(isset($gallery['ids'])){    
                                            $gallery_ids = $gallery['ids'];
                                            $img_ids = explode(",",$gallery_ids);
                                            $i=0; $j=0;?>
                                            <?php   
                                            foreach( $img_ids AS $img_id ){ 
                                                $image_src = wp_get_attachment_image_src($img_id,''); 
                                                ?>
                                                <img src="<?php echo esc_url($image_src[0]); ?>" alt="blog image">
                                            <?php } } ?>
                                    </div>
                            <?php } elseif ( has_post_format('audio') ) { ?>
                                <article class="postbox post format-audio mb-40">
                                <div class="postbox__audio embed-responsive embed-responsive-16by9">
                                    <iframe src="<?php echo esc_url($single_audio);?>"></iframe>
                                </div>
                            <?php } elseif ( has_post_thumbnail() ) { ?>
                            <article class="postbox post format-image mb-40">
                                <div class="postbox__thumb">
                                    <a href="#">
                                        <img src="<?php echo wp_get_attachment_url(get_post_thumbnail_id());?>" alt="blog image">
                                    </a>
                                </div>
                            <?php } ?>
                                <div class="postbox__text p-50">
                                    <div class="post-meta mb-15">
                                        <span><i class="far fa-calendar-check"></i> <?php the_time(get_option( 'date_format'));?> </span>
                                        <span><a href="#"><i class="far fa-user"></i> <?php the_author_posts_link(); ?></a></span>
                                        <span><a href="#"><i class="far fa-comments"></i> <?php comments_number( esc_html__('0 Comments', 'anondho'), 
                                      esc_html__('1 Comment', 'anondho'), esc_html__('% Comments', 'anondho') ); ?></a></span>
                                    </div>
                                    <h3 class="blog-title">
                                        <a href="<?php the_permalink();?>"><?php the_title();?></a>
                                    </h3>
                                    <div class="post-text mb-20">
                                        <p><?php if(isset($anondho_redux_demo['blog_excerpt'])){?>
                                    <?php echo esc_attr(anondho_excerpt($anondho_redux_demo['blog_excerpt'])); ?>
                                    <?php }else{?>
                                    <?php echo esc_attr(anondho_excerpt(50)); 
                                    }
                                    ?></p>
                                    </div>
                                    <div class="read-more mt-30">
                                        <a class="btn" href="<?php the_permalink();?>" tabindex="0"><span class="btn-text"><?php if(isset($anondho_redux_demo['read_more'])){?>
                                        <?php echo htmlspecialchars_decode(esc_attr($anondho_redux_demo['read_more']));?>
                                        <?php }else{?>
                                        <?php echo esc_html__( 'Read more', 'anondho' );
                                        }
                                        ?></span> <span class="btn-border"></span></a>
                                    </div>
                                </div>
                            </article>
                            <?php endwhile; ?>

                            <div class="basic-pagination basic-pagination-2 mb-40">
                                <?php anondho_pagination();?>
                            </div>
                        </div>
                        <div class="col-lg-4">
                            <?php get_sidebar();?>
                        </div>
                    </div>
                </div>
            </section>
            <!-- blog-area end -->

<?php
    get_footer('home');
?>