<!DOCTYPE html>

<html lang="zxx">

<?php $anondho_redux_demo = get_option('redux_demo'); ?>

<head>

    <!-- Meta Tags -->

    <meta charset="<?php bloginfo( 'charset' ); ?>">

    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <?php if ( ! function_exists( 'has_site_icon' ) || ! has_site_icon() ) {

        ?>

    <link rel="shortcut icon" href="<?php if(isset($anondho_redux_demo['favicon']['url'])){?><?php echo esc_url($anondho_redux_demo['favicon']['url']); ?><?php }?>">

    <?php }?>

    <?php wp_head(); ?> 



</head>

<body <?php body_class(); ?>>
        <!-- preloader -->
    <div id="preloader">
        <div class="preloader">
            <span></span>
            <span></span>
        </div>
    </div>
    <!-- preloader end  -->

        <!-- start preloader -->

        <header>

            <div class="main-menu-area menu-border black-bg pl-135 pr-135">

                <div class="container-fluid">

                    <div class="row">

                        <div class="col-xl-3 col-lg-3 d-flex align-items-center">

                            <?php if(isset($anondho_redux_demo['header_logo']) && $anondho_redux_demo['header_logo'] != ''){?>

                                <div class="logo">

                                    <a href="<?php echo esc_url(home_url('/')); ?>"><img src="<?php echo esc_url($anondho_redux_demo['header_logo']['url']);?>" alt="" /></a>

                                </div>

                            <?php }else{?>

                                <div class="logo">

                                    <a href="<?php echo esc_url(home_url('/')); ?>"><img src="<?php echo (get_template_directory_uri().'/assets/img/logo/logo.png');?>" alt="" /></a>

                                </div>

                            <?php } ?>

                        </div>

                        <div class="col-xl-9 col-lg-9">

                        <div class="header-right f-right d-none d-md-none d-lg-block"> 

                                <div class="header-icon f-right d-lg-none d-xl-block">

                                    <a href="<?php echo esc_url($anondho_redux_demo['header_link_facebook']);?>"><i class="fab fa-facebook-f"></i></a>

                                    <a href="<?php echo esc_url($anondho_redux_demo['header_link_twitter']);?>"><i class="fab fa-twitter"></i></a>

                                    <a href="<?php echo esc_url($anondho_redux_demo['header_link_instagram']);?>"><i class="fab fa-instagram"></i></a>

                                    <a href="<?php echo esc_url($anondho_redux_demo['header_link_youtube']);?>"><i class="fab fa-youtube"></i></a>

                                </div>

                                <div class="menu-bar info-bar text-right">

                                    <span class="bar1"></span>

                                    <span class="bar2"></span>

                                    <span class="bar3"></span>

                                </div>

                            </div>

                            <div class="main-menu text-right">

                                <nav id="mobile-menu">

                                    <?php 

                            wp_nav_menu( 

                                array( 

                                    'theme_location' => 'primary',

                                    'container' => '',

                                    'menu_class' => '', 

                                    'menu_id' => '',

                                    'menu'            => '',

                                    'container_class' => '',

                                    'container_id'    => '',

                                    'echo'            => true,

                                    'fallback_cb'       => 'wp_bootstrap_navwalker::fallback',

                                    'walker'            => new anondho_wp_bootstrap_navwalker(),

                                    'before'          => '',

                                    'after'           => '',

                                    'link_before'     => '',

                                    'link_after'      => '',

                                    'items_wrap'      => '<ul  class="%2$s">%3$s</ul>',

                                    'depth'           => 0,        

                                )

                            ); ?>

                                </nav>

                            </div>

                        </div>

                        <div class="col-12">

                            <div class="mobile-menu"></div>

                        </div>

                    </div>

                </div>

            </div>

            <div class="extra-info">

                <div class="close-icon">

                    <button>

                        <i class="far fa-window-close"></i>

                    </button>

                </div>

                <?php if(isset($anondho_redux_demo['header_logo']) && $anondho_redux_demo['header_logo'] != ''){?>

                    <div class="logo-side mb-30">

                        <a href="<?php echo esc_url(home_url('/')); ?>"><img src="<?php echo esc_url($anondho_redux_demo['header_logo']['url']);?>" alt="" /></a>

                    </div>

                <?php }else{?>

                    <div class="logo-side mb-30">

                        <a href="<?php echo esc_url(home_url('/')); ?>"><img src="<?php echo (get_template_directory_uri().'/assets/img/logo/logo.png');?>" alt="" /></a>

                    </div>

                <?php } ?>

                <div class="side-info">

                    <div class="contact-list mb-40">

                        <h4><?php echo htmlspecialchars_decode(esc_attr($anondho_redux_demo['header_address_title']));?></h4>
                        <p>We must explain to you how all seds this mistakens idea off denouncing pleasures and praising pain was born and I will give you a completed accounts of
                            the system and expound.</p>
                        <div class="mt-30 mb-30">
                            <a class="btn-text-side" href="#">Contact us <i class="far fa-long-arrow-right"></i></a>
                        </div>
                        
                    </div>

                    <div class="contact-list mb-40">

                        <h4><?php echo htmlspecialchars_decode(esc_attr($anondho_redux_demo['header_phone_title']));?></h4>
                        
                        <p><i class="fal fa-rocket"></i> <span><?php echo htmlspecialchars_decode(esc_attr($anondho_redux_demo['header_address_subtitle']));?></span></p>

                        <p><i class="far fa-phone"></i> <span><?php echo htmlspecialchars_decode(esc_attr($anondho_redux_demo['header_phone_subtitle_1']));?></span> </p>
                        
                        <p><i class="far fa-envelope-open"></i><span><?php echo htmlspecialchars_decode(esc_attr($anondho_redux_demo['header_email_subtitle_1']));?></span></p>

                    </div>
                    
                </div>

                <div class="social-icon-right mt-10">

                    <a href="<?php echo esc_url($anondho_redux_demo['header_link_facebook']);?>">

                        <i class="fab fa-facebook-f"></i>

                    </a>

                    <a href="<?php echo esc_url($anondho_redux_demo['header_link_twitter']);?>">

                        <i class="fab fa-twitter"></i>

                    </a>

                    <a href="<?php echo esc_url($anondho_redux_demo['header_link_google']);?>">

                        <i class="fab fa-google-plus-g"></i>

                    </a>

                    <a href="<?php echo esc_url($anondho_redux_demo['header_link_instagram']);?>">

                        <i class="fab fa-instagram"></i>

                    </a>

                </div>

            </div>

        </header>

        <!-- header-start -->



        <main>