<?php
/**
 * The Template for displaying all single posts
 */
$anondho_redux_demo = get_option('redux_demo');
get_header('home'); ?>

<?php 
    while (have_posts()): the_post();
    $single_facebook = get_post_meta(get_the_ID(),'_cmb_single_facebook', true);
    $single_twitter = get_post_meta(get_the_ID(),'_cmb_single_twitter', true);
    $single_behance = get_post_meta(get_the_ID(),'_cmb_single_behance', true);
    $single_youtube = get_post_meta(get_the_ID(),'_cmb_single_youtube', true);
    $single_vimeo = get_post_meta(get_the_ID(),'_cmb_single_vimeo', true);
    
    $single_audio = get_post_meta(get_the_ID(),'_cmb_single_audio', true);
    $single_video = get_post_meta(get_the_ID(),'_cmb_single_video', true);
    $filter_image = get_post_meta(get_the_ID(),'_cmb_filter_image', true);
?>
    <?php if(isset($anondho_redux_demo['blog_image']['url']) && $anondho_redux_demo['blog_image']['url'] != ''){?>
        <div class="breadcrumb-area breadcrumb-bg pt-260 pb-265" style="background-image:url(<?php echo esc_url($anondho_redux_demo['blog_image']['url']);?>)">
    <?php }else{?>     
        <div class="breadcrumb-area breadcrumb-bg pt-260 pb-265" style="background-image:url(<?php echo (get_template_directory_uri().'/assets/img/bg/page-title-bg.jpg');?>)">   
    <?php } ?>        
            <div class="container">
                <div class="row">
                    <div class="col-xl-12">
                        <div class="breadcrumb-text text-center">
                            <h1><?php if(isset($anondho_redux_demo['blog_details_title']) && $anondho_redux_demo['blog_details_title'] != ''){?>
                    <?php echo htmlspecialchars_decode(esc_attr($anondho_redux_demo['blog_details_title']));?>
                    <?php }else{?>
                    <?php echo esc_html__( 'Blog Details', 'anondho' );
                    }
                    ?></h1>
                            <ul class="breadcrumb-menu">
                                <li><a href="<?php echo esc_url(home_url('/')); ?>"><?php echo esc_html__( 'Home', 'anondho' );?></a></li>
                                <li><span><?php if(isset($anondho_redux_demo['blog_details_title']) && $anondho_redux_demo['blog_details_title'] != ''){?>
                    <?php echo htmlspecialchars_decode(esc_attr($anondho_redux_demo['blog_details_title']));?>
                    <?php }else{?>
                    <?php echo esc_html__( 'Blog Details', 'anondho' );
                    }
                    ?></span></li>
                            </ul>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <!-- blog-area start -->
        <section class="blog-area pt-120 pb-80">
            <div class="container">
                <div class="row">
                    <div class="col-lg-8">
                        <h2 style="display: none;">111111</h2>
                        <?php if ( has_post_format('video') ) { ?>
                                <article class="postbox post format-video mb-40">
                                    <div class="postbox__video mb-40">
                                        <img src="<?php echo wp_get_attachment_url(get_post_thumbnail_id());?>" alt="blog image">
                                        <a class="popup-video video-btn" href="<?php echo esc_url($single_video);?>"><i
                                                class="fas fa-play"></i></a>
                                    </div>
                            <?php } elseif ( has_post_format('gallery') ) { ?>
                                <article class="postbox post format-gallery mb-40">
                                    <div class="postbox__gallery mb-40">
                                        <?php $gallery = get_post_gallery( get_the_ID(), false );

                                        if(isset($gallery['ids'])){    
                                            $gallery_ids = $gallery['ids'];
                                            $img_ids = explode(",",$gallery_ids);
                                            $i=0; $j=0;?>
                                            <?php   
                                            foreach( $img_ids AS $img_id ){ 
                                                $image_src = wp_get_attachment_image_src($img_id,''); 
                                                ?>
                                                <img src="<?php echo esc_url($image_src[0]); ?>" alt="blog image">
                                            <?php } } ?>
                                    </div>
                            <?php } elseif ( has_post_format('audio') ) { ?>
                                <article class="postbox post format-audio mb-40">
                                <div class="postbox__audio embed-responsive embed-responsive-16by9 mb-40">
                                    <iframe src="<?php echo esc_url($single_audio);?>"></iframe>
                                </div>
                            <?php } elseif ( has_post_thumbnail() ) { ?>
                            <article class="postbox post format-image mb-40">
                                <div class="postbox__thumb mb-40">
                                    <a href="#">
                                        <img src="<?php echo wp_get_attachment_url(get_post_thumbnail_id());?>" alt="blog image">
                                    </a>
                                </div>
                            <?php } ?>
                            <div class="postbox__text bg-none">
                                <div class="post-meta mb-15">
                                    <span><i class="far fa-calendar-check"></i> <?php the_time(get_option( 'date_format'));?> </span>
                                    <span><i class="far fa-user"></i> <?php the_author_posts_link(); ?></span>
                                    <span><i class="far fa-comments"></i> <?php comments_number( esc_html__('0 Comments', 'anondho'), esc_html__('1 Comment', 'anondho'), esc_html__('% Comments', 'anondho')); ?></span>
                                </div>
                                <h3 class="blog-title">
                                    <?php the_title();?>
                                </h3>
                                <div class="post-text mb-20">
                                    <?php the_content(); ?>
                                    <?php wp_link_pages(); ?>
                                </div>
                                <div class="row mt-50">
                                    <div class="col-xl-8 col-lg-8 col-md-8 mb-15">
                                        <div class="blog-post-tag">
                                            <span><?php echo esc_html__( 'Post Tags', 'anondho' );?></span>
                                            <?php echo get_the_tag_list(); ?>
                                        </div>
                                    </div>
                                    <div class="col-xl-4 col-lg-4 col-md-4 mb-15">
                                        <div class="blog-share-icon text-left text-md-right">
                                            <span><?php echo esc_html__( 'Share: ', 'anondho' );?></span>
                                            <a href="<?php echo esc_url($single_facebook); ?>"><i class="fab fa-facebook-f"></i></a>
                                            <a href="<?php echo esc_url($single_twitter); ?>"><i class="fab fa-twitter"></i></a>
                                            <a href="<?php echo esc_url($single_instagram); ?>"><i class="fab fa-instagram"></i></a>
                                            <a href="<?php echo esc_url($single_google); ?>"><i class="fab fa-google-plus-g"></i></a>
                                            <a href="<?php echo esc_url($single_vimeo); ?>"><i class="fab fa-vimeo-v"></i></a>
                                        </div>
                                    </div>
                                </div>
                            </div>
								
							<?php if( get_previous_post_link() AND get_next_post_link() ) : ?>

							<div class="blog-details-border">
								<div class="row">

									<?php if(get_previous_post_link()) : ?>
										<div class="col-xl-6 col-lg-6 col-md-6">
											<div class="bakix-navigation b-next-post text-left mb-30">
												<span><?php print esc_html__( 'Prev Post', 'medidove' ); ?></span>
												<h4><?php print get_previous_post_link('%link ', '%title'); ?></h4>
											</div>
										</div>
									<?php endif; ?>

									<?php if(get_next_post_link()) : ?>
										<div class="col-xl-6 col-lg-6 col-md-6">
											<div class="bakix-navigation b-next-post text-left text-md-right  mb-30">
												<span><?php print esc_html__( 'Next Post', 'medidove' ); ?></span>
												<h4> <?php print get_next_post_link( '%link ', '%title' ); ?></h4>
											</div>
										</div>
									<?php endif; ?>

								</div>
							</div>
							<?php endif; ?>
								
                            <?php comments_template();?>
                        </article>
                    </div>
                    <div class="col-lg-4">
						<div class="blog-sidebar">
                        	<?php get_sidebar();?>
						</div>	
                    </div>
                </div>
            </div>
        </section>
        <!-- blog-area end -->
<?php endwhile; ?>

<?php
get_footer('home');
?>