<?php
/**
 * The Template for displaying product archives, including the main shop page which is a post type archive
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/archive-product.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see 	    https://docs.woocommerce.com/document/template-structure/
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     2.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

get_header('home'); ?>


<?php if(isset($anondho_redux_demo['product_image']['url']) && $anondho_redux_demo['product_image']['url'] != ''){?>
<div class="breadcrumb-area breadcrumb-bg pt-260 pb-265" style="background-image:url(<?php echo esc_url($anondho_redux_demo['product_image']['url']);?>)">
<?php }else{?>
<div class="breadcrumb-area breadcrumb-bg pt-260 pb-265" style="background-image:url(<?php echo get_template_directory_uri();?>/assets/img/bg/page-title-bg.jpg)">
<?php }?> 
        <div class="container">
            <div class="row">
                <div class="col-xl-12">
                    <div class="breadcrumb-text text-center">
                        <h1><?php if(isset($anondho_redux_demo['product_title'])){?>
                                    <?php echo htmlspecialchars_decode(esc_attr($anondho_redux_demo['product_title']));?>
                                    <?php }else{?>
                                    <?php echo esc_html__( 'Shop', 'anondho' );
                                    }
                                    ?></h1>
                        <ul class="breadcrumb-menu">
                            <li><a href="<?php echo esc_url(home_url('/')); ?>"><?php echo esc_html__( 'Home', 'anondho' );?></a></li>
                            <li><span><?php if(isset($anondho_redux_demo['product_subtitle'])){?>
                                    <?php echo htmlspecialchars_decode(esc_attr($anondho_redux_demo['product_subtitle']));?>
                                    <?php }else{?>
                                    <?php echo esc_html__( 'Shop', 'anondho' );
                                    }
                                    ?></span></li>
                        </ul>
                    </div>
                </div>
            </div>
        </div>
        <!-- End sub_content -->
    </div>
    <section class="shop-banner-area pt-120 pb-120">
        <div class="container">
            <div class="row mt-20">
                <?php
                /**
                 * woocommerce_before_shop_loop hook.
                 *
                 * @hooked woocommerce_result_count - 20
                 * @hooked woocommerce_catalog_ordering - 30
                 */
                do_action( 'woocommerce_before_shop_loop' );
                ?>
            </div>
                <div class="row">

                <?php if ( have_posts() ) : ?>

                                <?php woocommerce_product_loop_start(); ?>

                                <?php woocommerce_product_subcategories(); ?>

                                <?php
                                 $args = array(    
                                        'post_type' => 'product',
                                        'showposts' => 8,
                                        );
                                    $wp_query = new WP_Query($args);
                                    while ( have_posts() ) : the_post(); 
                                    ?>


                                    <?php wc_get_template_part( 'content', 'product' ); ?>

                                <?php endwhile; // end of the loop. ?>

                                <?php woocommerce_product_loop_end(); ?>

                                <?php
                                    /**
                                     * woocommerce_after_shop_loop hook.
                                     *
                                     * @hooked woocommerce_pagination - 10
                                     */
                                    do_action( 'woocommerce_after_shop_loop' );
                                    ?>


        <?php elseif ( ! woocommerce_product_subcategories( array( 'before' => woocommerce_product_loop_start( false ), 'after' => woocommerce_product_loop_end( false ) ) ) ) : ?>

            <?php wc_get_template( 'loop/no-products-found.php' ); ?>



        <?php endif; ?>
        
        
        </div>
            
        </section>



<?php get_footer('home2'); ?>
