<?php
/**
 * Empty cart page
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/cart/cart-empty.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see 	    https://docs.woocommerce.com/document/template-structure/
 * @author  WooThemes
 * @package WooCommerce/Templates
 * @version 2.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

wc_print_notices();
$anondho_redux_demo = get_option('redux_demo'); 
?>

<?php if(isset($anondho_redux_demo['product_image']['url']) && $anondho_redux_demo['product_image']['url'] != ''){?>
<div class="breadcrumb-area breadcrumb-bg pt-260 pb-265" style="background-image:url(<?php echo esc_url($anondho_redux_demo['product_image']['url']);?>)">
<?php }else{?>
<div class="breadcrumb-area breadcrumb-bg pt-260 pb-265" style="background-image:url(<?php echo get_template_directory_uri();?>/assets/img/bg/page-title-bg.jpg)">
<?php }?> 
        <div class="container">
            <div class="row">
                <div class="col-xl-12">
                    <div class="breadcrumb-text text-center">
                        <h1><?php if(isset($anondho_redux_demo['cart_title'])){?>
                                    <?php echo htmlspecialchars_decode(esc_attr($anondho_redux_demo['cart_title']));?>
                                    <?php }else{?>
                                    <?php echo esc_html__( 'Cart', 'anondho' );
                                    }
                                    ?></h1>
                        <ul class="breadcrumb-menu">
                            <li><a href="<?php echo esc_url(home_url('/')); ?>"><?php echo esc_html__( 'Home', 'anondho' );?></a></li>
                            <li><span><?php if(isset($anondho_redux_demo['cart_subtitle'])){?>
                                    <?php echo htmlspecialchars_decode(esc_attr($anondho_redux_demo['cart_subtitle']));?>
                                    <?php }else{?>
                                    <?php echo esc_html__( 'Cart', 'anondho' );
                                    }
                                    ?></span></li>
                        </ul>
                    </div>
                </div>
            </div>
        </div>
        <!-- End sub_content -->
    </div>

<p class="cart-empty">
	<?php _e( 'Your cart is currently empty.', 'woocommerce' ) ?>
</p>

<?php do_action( 'woocommerce_cart_is_empty' ); ?>

<?php if ( wc_get_page_id( 'shop' ) > 0 ) : ?>
	<p class="return-to-shop">
		<a class="button wc-backward" href="<?php echo esc_url( apply_filters( 'woocommerce_return_to_shop_redirect', wc_get_page_permalink( 'shop' ) ) ); ?>">
			<?php _e( 'Return To Shop', 'woocommerce' ) ?>
		</a>
	</p>
<?php endif; ?>
