<?php
/**
 * Checkout Form
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/checkout/form-checkout.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see 	    https://docs.woocommerce.com/document/template-structure/
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     2.3.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

wc_print_notices();

if ( ! $checkout->enable_signup && ! $checkout->enable_guest_checkout && ! is_user_logged_in() ) {
	echo apply_filters( 'woocommerce_checkout_must_be_logged_in_message', __( 'You must be logged in to checkout.', 'woocommerce' ) );
	return;
}
// If checkout registration is disabled and not logged in, the user cannot checkout

$anondho_redux_demo = get_option('redux_demo'); 
?>
<?php if(isset($anondho_redux_demo['product_image']['url']) && $anondho_redux_demo['product_image']['url'] != ''){?>
<div class="breadcrumb-area breadcrumb-bg pt-260 pb-265" style="background-image:url(<?php echo esc_url($anondho_redux_demo['product_image']['url']);?>)">
<?php }else{?>
<div class="breadcrumb-area breadcrumb-bg pt-260 pb-265" style="background-image:url(<?php echo get_template_directory_uri();?>/assets/img/bg/page-title-bg.jpg)">
<?php }?> 
        <div class="container">
            <div class="row">
                <div class="col-xl-12">
                    <div class="breadcrumb-text text-center">
                        <h1><?php if(isset($anondho_redux_demo['checkout_title'])){?>
                                    <?php echo htmlspecialchars_decode(esc_attr($anondho_redux_demo['checkout_title']));?>
                                    <?php }else{?>
                                    <?php echo esc_html__( 'Checkout', 'anondho' );
                                    }
                                    ?></h1>
                        <ul class="breadcrumb-menu">
                            <li><a href="<?php echo esc_url(home_url('/')); ?>"><?php echo esc_html__( 'Home', 'anondho' );?></a></li>
                            <li><span><?php if(isset($anondho_redux_demo['checkout_subtitle'])){?>
                                    <?php echo htmlspecialchars_decode(esc_attr($anondho_redux_demo['checkout_subtitle']));?>
                                    <?php }else{?>
                                    <?php echo esc_html__( 'Checkout', 'anondho' );
                                    }
                                    ?></span></li>
                        </ul>
                    </div>
                </div>
            </div>
        </div>
        <!-- End sub_content -->
    </div>



    <section class="checkout-area pb-70">
    	<div class="container">
    		<?php
do_action( 'woocommerce_before_checkout_form', $checkout );
  ?>
    		<form name="checkout" method="post" class="checkout woocommerce-checkout" action="<?php echo esc_url( wc_get_checkout_url() ); ?>" enctype="multipart/form-data">

    			<?php if ( sizeof( $checkout->checkout_fields ) > 0 ) : ?>

    				<?php do_action( 'woocommerce_checkout_before_customer_details' ); ?>

    				<div class="row">
    					<div class="col-lg-6">
    						<div class="checkbox-form">
    						<?php do_action( 'woocommerce_checkout_billing' ); ?>
    					</div>

    					<div class="order-notes">
    						<?php do_action( 'woocommerce_checkout_shipping' ); ?>
    					</div>
    				</div>

    				<?php do_action( 'woocommerce_checkout_after_customer_details' ); ?>

    			
    			<div class="col-lg-6">   
    				<div class="your-order mb-30 ">
		<h3 id="order_review_heading"><?php _e( 'Your order', 'woocommerce' ); ?></h3>

    				<?php do_action( 'woocommerce_checkout_before_order_review' ); ?>

    				<div id="order_review" class="woocommerce-checkout-review-order">
    					<?php do_action( 'woocommerce_checkout_order_review' ); ?>
    				</div>
    			</div>
    			</div>
    			</div>
    			<?php do_action( 'woocommerce_checkout_after_order_review' ); ?>
				<?php endif; ?>
    		</form>
    	</div>
    </section>
<?php do_action( 'woocommerce_after_checkout_form', $checkout ); ?>
