<?php
/**
 * The template for displaying product content within loops
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/content-product.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see     https://docs.woocommerce.com/document/template-structure/
 * @author  WooThemes
 * @package WooCommerce/Templates
 * @version 2.6.1
 */

if ( ! defined( 'ABSPATH' ) ) {
  exit; // Exit if accessed directly
}

global $product;

// Ensure visibility
if ( empty( $product ) || ! $product->is_visible() ) {
  return;
}
?>


            <div class="col-lg-3 col-md-6 mb-60">
              <div class="product mb-40">
                <div class="product__img">

                  <?php
                        /**
                         * woocommerce_before_shop_loop_item hook.
                         *
                         * @hooked woocommerce_template_loop_product_link_open - 10
                         */
                        do_action( 'woocommerce_before_shop_loop_item' ); 
                        /**
                         * woocommerce_before_shop_loop_item_title hook.
                         *
                         * @hooked woocommerce_show_product_loop_sale_flash - 10
                         * @hooked woocommerce_template_loop_product_thumbnail - 10
                         */
                        do_action( 'woocommerce_before_shop_loop_item_title' );?>

                  </div>
                  <div class="product-action text-center">
                    <a href="<?php echo esc_url( wc_get_cart_url() ); ?>"><i class="fas fa-shopping-cart"></i></a>
                    <a href="<?php the_permalink();?>"><i class="fas fa-expand"></i></a>
                  </div>
                </div>
            <div class="product_content text-center pt-20">
              <h4 class="pro-title"><a href="<?php the_permalink(); ?>"><?php the_title();?></a></h4>
              <div class="price">
              <?php 

                /**
                 * woocommerce_after_shop_loop_item_title hook.
                 *
                 * @hooked woocommerce_template_loop_rating - 5
                 * @hooked woocommerce_template_loop_price - 10
                 */
                do_action( 'woocommerce_after_shop_loop_item_title' ); ?>
              </div>
               
              <div class="preview">
              <?php 

            /**
             * woocommerce_after_shop_loop_item hook.
             *
             * @hooked woocommerce_template_loop_product_link_close - 5
             * @hooked woocommerce_template_loop_add_to_cart - 10
             */
            do_action( 'woocommerce_after_shop_loop_item' );
            ?>
              
          </div>
        </div>
      </div>






        














 
