<?php
/**
 * My Account navigation
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/myaccount/navigation.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see     https://docs.woocommerce.com/document/template-structure/
 * @author  WooThemes
 * @package WooCommerce/Templates
 * @version 2.6.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

do_action( 'woocommerce_before_account_navigation' );
?>
<?php if(isset($anondho_redux_demo['product_image']['url']) && $anondho_redux_demo['product_image']['url'] != ''){?>
<div class="breadcrumb-area breadcrumb-bg pt-260 pb-265" style="background-image:url(<?php echo esc_url($anondho_redux_demo['product_image']['url']);?>)">
<?php }else{?>
<div class="breadcrumb-area breadcrumb-bg pt-260 pb-265" style="background-image:url(<?php echo get_template_directory_uri();?>/assets/img/bg/page-title-bg.jpg)">
<?php }?> 
        <div class="container">
            <div class="row">
                <div class="col-xl-12">
                    <div class="breadcrumb-text text-center">
                        <h1><?php if(isset($anondho_redux_demo['login_title'])){?>
                                    <?php echo htmlspecialchars_decode(esc_attr($anondho_redux_demo['login_title']));?>
                                    <?php }else{?>
                                    <?php echo esc_html__( 'Login', 'anondho' );
                                    }
                                    ?></h1>
                        <ul class="breadcrumb-menu">
                            <li><a href="<?php echo esc_url(home_url('/')); ?>"><?php echo esc_html__( 'Home', 'anondho' );?></a></li>
                            <li><span><?php if(isset($anondho_redux_demo['login_subtitle'])){?>
                                    <?php echo htmlspecialchars_decode(esc_attr($anondho_redux_demo['login_subtitle']));?>
                                    <?php }else{?>
                                    <?php echo esc_html__( 'Login', 'anondho' );
                                    }
                                    ?></span></li>
                        </ul>
                    </div>
                </div>
            </div>
        </div>
        <!-- End sub_content -->
    </div>
    <section class="login-area pt-100 pb-100">
    	<div class="container">
    		<div class="row">
    			<nav class="woocommerce-MyAccount-navigation">
    				<ul>
    					<?php foreach ( wc_get_account_menu_items() as $endpoint => $label ) : ?>
    						<li class="<?php echo wc_get_account_menu_item_classes( $endpoint ); ?>">
    							<a href="<?php echo esc_url( wc_get_account_endpoint_url( $endpoint ) ); ?>"><?php echo esc_html( $label ); ?></a>
    						</li>
    					<?php endforeach; ?>
    				</ul>
    			</nav>
    			

    			<?php do_action( 'woocommerce_after_account_navigation' ); ?>
