<?php
/**
 * Single product short description
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/single-product/short-description.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see 	    https://docs.woocommerce.com/document/template-structure/
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     1.6.4
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

global $post;

if ( ! $post->post_excerpt ) {
	return;
}
$product_facebook = get_post_meta(get_the_ID(),'_cmb_product_facebook', true);
     $product_twitter = get_post_meta(get_the_ID(),'_cmb_product_twitter', true);
     $product_behance = get_post_meta(get_the_ID(),'_cmb_product_behance', true);
     $product_linkedin = get_post_meta(get_the_ID(),'_cmb_product_linkedin', true);
     $product_youtube = get_post_meta(get_the_ID(),'_cmb_product_youtube', true);

?>
<div itemprop="description">
	<?php echo apply_filters( 'woocommerce_short_description', $post->post_excerpt ) ?>
	<div class="product-cat mt-30 mb-15">
		<span><?php echo esc_html__( 'Categories: ', 'anondho' );?></span>

		<?php  $categories = get_the_terms(get_the_ID(),'product_cat');

		foreach( (array)$categories as $categorie){

			$cat_name = $categorie->name;

			$cat_slug = $categorie->slug; ?>

			<a href="<?php echo esc_url(home_url('/')); ?>?product_cat=<?php echo esc_attr($cat_slug);?>"><?php echo esc_attr($cat_name);?> </a>

		<?php } ?>
		<div class="product-social mb-45">
			<a href="<?php echo esc_url($product_facebook); ?>"><i class="fab fa-facebook-f"></i></a>
			<a href="<?php echo esc_url($product_twitter); ?>"><i class="fab fa-twitter"></i></a>
			<a href="<?php echo esc_url($product_behance); ?>"><i class="fab fa-behance"></i></a>
			<a href="<?php echo esc_url($product_linkedin); ?>"><i class="fab fa-linkedin-in"></i></a>
			<a href="<?php echo esc_url($product_youtube); ?>"><i class="fab fa-youtube"></i></a>
		</div>
</div>
